.. title: Modern times
.. slug: modern-times
.. date: 2020-09-05 11:52:22 UTC
.. tags: desktop, latex, linux
.. category: 
.. link: 
.. description: 
.. type: text

Since the beginning of time (or so it seems), I've had `Emacs <https://en.wikipedia.org/wiki/Emacs>`_ installed with the extension `AUCTeX <https://en.wikipedia.org/wiki/AUCTeX>`_ to handle LaTeX documents. And, mind you, I'm still using it from time to time! As a matter of fact, in 2018 I've worked on a number of manuscripts exclusively with Emacs to prepare myself for the editor shootout I've `promised <https://cobra.pdes-net.org/posts/yay.html>`_ for the end of 2018 (and which may or may not be done by the end of this year). I'm still quite happy with it, that much I can say already now.  

Perhaps you can then understand my surprise when `yay <https://cobra.pdes-net.org/posts/yay.html>`_ told me that AUCTeX has been orphaned on the AUR. I was even more surprised when I saw that the maintainer was Stefan Husmann, who is also the maintainer of several hundred other packages and a moderator on the `German Archlinux forum <https://bbs.archlinux.de/>`_. Not the guy to thoughtlessly abandon a package on a mere whim.  

And then it hit me: of course! Emacs has got it's own package manager (`ELPA <https://elpa.gnu.org/>`_) some time, well, perhaps two years ... `actually, eight years ago <https://lists.gnu.org/archive/html/info-gnu-emacs/2012-06/msg00000.html>`_. 😣  

So what's the meaning of this post? Let's say that there're one billion computer users out there. Only one percent of these know what an editor is, and only one percent of these again are actually using one. Of these again, only one percent use Emacs. Once again one percent of these Emacs users use AUCTeX, but more than 80% of these guys have installed AUCTeX via ELPA, the recommended and canonical way. I'm not one of them. Am I the only one? No, if we do the math, it turns out that there's one kindred spirit who is in the same situation like me. This post is for you, my brother in arms!   

Well, as stated above, Emacs recommends installing AUCTeX via ELPA. After removing AUCTeX from the AUR, we can install manually

::
	
		M-x package-install RET
		auctex

or, in a properly maintained init.el (like mine), automatically:

::

		(require 'package)
		
		(add-to-list 'package-archives
			'("melpa" . "`https://melpa.org/packages/" <https://melpa.org/packages/">`_))
		
		(package-initialize)
		(when (not package-archive-contents)
			(package-refresh-contents))
		
		(defvar myPackages
		   '(better-defaults
			 material-theme
			 ein
			 elpy
			 flycheck
			 py-autopep8
			 ac-math
			 auctex
			 auto-complete-auctex
			 ))
		     
		(mapc #'(lambda (package)
			(unless (package-installed-p package)
			  (package-install package)))
			  myPackages)

`and <https://tex.stackexchange.com/questions/450956/cannot-load-preview-latex-despite-auctex-already-installed>`_ 

::

		;;(load "auctex.el" nil t t)
		;;(load "preview-latex.el" nil t t)

While I was pondering the question whether this post would be relevant for anybody at all, I found these news: `Levee, a vi clone, has got a new major release after 30 years <http://www.pell.portland.or.us/~orc/Code/levee/>`_. Now that's the spirit! Compared to the estimated number of users interested in this update (interestingly, the `only comment <https://aur.archlinux.org/packages/levee/#comment-759865>`_ in the AUR is from Stefan Husmann), my post is for the masses. To celebrate this Chucknorishness of software development, I've installed levee and prepared this text in it. It was ok (just like vi), but David Parsons will certainly understand if I say that I prefer vim for everyday work.
